Skip to content
Lenso
English
Esc
navigateopen⌘Jpreview

PUT /modules/{module}/http/{*path}

PUT/modules/{module}/http/{*path}
Path parameters
modulestringrequired
Configured Service-provided Module name
pathstringrequired
Module-local HTTP path matched against the Service-provided manifest
Header parameters
authorizationstringrequired
Development service bearer token
Request body
requiredapplication/json
JSON request body forwarded to the matched Service-provided Module route
any
Responses
200Provider route forwarded through the host.
capabilitystringrequired
dataanyrequired
declared_pathstringrequired
methodModuleHttpMethodrequired
Allowed:GETPOSTPUTPATCHDELETE
module_namestringrequired
path_paramsobjectrequired
provider_pathstringrequired
statusProviderHttpProxyStatusrequired
Allowed:forwarded
400Request body policy rejected the request
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
401Authentication is required
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
403Service/system authentication or declared capability is required
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
404No configured Service-provided route matched
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
502Provider export request failed
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
Request
curl -X PUT "/modules/string/http/{*path}" \
  -H "authorization: string" \
  -H "Content-Type: application/json" \
  -d '"string"'
Response
{
  "capability": "string",
  "data": "string",
  "declared_path": "string",
  "method": "GET",
  "module_name": "string",
  "path_params": {},
  "provider_path": "string",
  "status": "forwarded"
}